#include <iostream>
#include <string>

using namespace std;

int main(){
    string word;
    int last, size;
    bool is_palindrome;

    cout << "Input word: ";
    getline(cin, word);

    size = word.size();

    is_palindrome = true;
    for (int i = 0; i < (size / 2); i++){
        last = size - i - 1;
        if (word[i] != word[last]){
            is_palindrome = false;
            break;
        }
    }

    if (is_palindrome){
        cout << "The word is a palindrome." << endl;
    }
    else {
        cout << "The word is not a palindrome." << endl;
    }
    
    return 0;
}